<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Transcript</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Transcript </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">

                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <form method="get">
                            <div class="row">


                                <div class="col-md-12">
                                    <b>Nim</b><br>
                                    <div class="input-group mb-3" style="margin-top: 10px;">
                                        <input type="text" name="nim" class="form-control" placeholder="NIM" th:value="${nim}">
                                        <div class="input-group-append">
                                            <button class="btn btn-success" type="submit"><i class="fas fa-search"></i> Search</button>
                                        </div>
                                    </div>
                                </div>


                            </div>
                        </form>
                    </div>

                    <div class="alert alert-warning" th:if="${message != null}">
                        <center>
                            <strong>
                                NIM tidak ditemukan.
                            </strong>
                        </center>
                    </div>

                    <div class="card-body" th:if="${nim != null && message == null}">
                        <div class="card shadow">
                            <div class="card-header border-1">
                                <h3 class="mb-0">Nama Mahasiswa/i</h3>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <label th:text="${mhsw.nama}"></label>
                                    </div>
                                    <div class="col-md-6 text-right">
                                        <div class="dropdown">
                                            <button class="btn btn-primary btn-sm dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                Download
                                            </button>
                                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                <a class="dropdown-item" th:href="@{/studiesActivity/transcript/print (nim = ${mhsw.nim})}">Transkript Sementara</a>
                                                <a class="dropdown-item" th:href="@{/studiesActivity/transcript/print1 (nim = ${mhsw.nim})}">Transkript Nilai Indonesia</a>
                                                <a class="dropdown-item" th:href="@{/studiesActivity/transcript/inggris (nim = ${mhsw.nim})}">Transkript Nilai Inggris</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card-body" th:each="dataSemester,row : ${semesterTranskript}">
                        <span>
                            <div class="card shadow" style="margin-top: 7px;">
                                <div class="table-responsive">
                                <div class="card-header border-0">
                                    <div class="row align-items-center">
                                        <div class="col">
                                            <h3 th:if="${dataSemester[3] == 'PENDEK'}" class="mb-0" th:text="${dataSemester[2] + ' ( Semester ' + dataSemester[3] + ')'}">Semester<b> 1</b></h3>

                                            <h3 th:if="${dataSemester[3] != 'PENDEK'}" class="mb-0" th:text="${dataSemester[2] + ' ( Semester ' + dataSemester[4] + ')'}">Semester<b> 1</b></h3>
                                        </div>
                                    </div>
                                </div>
                                <table class="table align-items-center table-flush">
                                    <thead class="thead-light">
                                    <tr>
                                        <th>Kode MK</th>
                                        <th>Nama Mata Kuliah</th>
                                        <th>SKS</th>
                                        <th>Nilai</th>
                                        <th>Bobot</th>
                                        <th>Mutu</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data : ${transkriptTampil}">
                                        <td th:if="${dataSemester[0] == data[0]}" th:text="${data[1]}">AEM1101</td>
                                        <td th:if="${dataSemester[0] == data[0]}" th:text="${data[2]}">Dirasah Islamiah</td>
                                        <td th:if="${dataSemester[0] == data[0]}" th:text="${data[3]}"><b>3</b></td>
                                        <td th:if="${dataSemester[0] == data[0]}" th:text="${data[5]}"><button class="bd-primary"><b>B</b></button></td>
                                        <td th:if="${dataSemester[0] == data[0]}" th:text="${data[4]}"><button class="bd-danger"><b>3.00</b></button></td>
                                        <td th:if="${dataSemester[0] == data[0]}" th:text="${data[6]}"><b>9</b></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                            </div>

                        </span>
                    </div>

                        <div class="card shadow" style="margin-top: 7px;" th:if="${message == null}">
                            <div class="table-responsive">
                                <table class="table align-items-center table-flush">
                                    <thead>
                                    <tr>
                                        <th style="color: white;">Kode MK</th>
                                        <th class="text-right"><span style="color: white">Nama Maa</span> Jumlah :</th>
                                        <th><b th:text="${sks}">75</b>(SKS)</th>
                                        <th style="color: white;">Nilai</th>
                                        <th style="color: white;">Bobot</th>
                                        <th><b th:text="${mutu}">292.8</b>(Mutu)</th>
                                    </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>